#!/bin/bash

if [ ! -r "/sys/devices/soc0/vendor" ] ||
   [ ! -r "/sys/devices/soc0/machine" ]; 
then
    exit 1;
fi

VENDOR=$(</sys/devices/soc0/vendor)
MACHINE=$(</sys/devices/soc0/machine)

if [ $VENDOR != Qualcomm ] ||
   [ $MACHINE != MSM8996 ];
then
    exit 1;
fi

exit
